# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, inputs, ... }:

let iface = import ../iface-templates.nix;
in {
  imports =
    [ # Include the results of the hardware scan.
      ../types/server.nix
    ];
  config = lib.mkMerge [
    (iface.bridge "lan0" "172.16.1.252/12" "172.16.1.1" "phy0" "d8:9e:f3:1b:7f:8a")
    (iface.dhcp "phy1" "98:b7:85:01:39:1a")
    (iface.dhcp "phy2" "98:b7:85:01:39:1b")
    (iface.dhcp "phy3" "98:b7:85:01:39:1c")
    (iface.dhcp "phy4" "98:b7:85:01:39:1d")
  ];
}
